Home

# Class goog.db.Transaction

Creates a new transaction. Transactions contain methods for accessing object stores and are created from the database object. Should not be created directly, open a database and call createTransaction on it.

extends goog.events.EventTarget

Instance Method Summary
| `abort()` Aborts this transaction. No pending operations will be applied to the database. Dispatches an ABORT event.
| `dispatchError_(?Event ev)` Dispatches an error event based on the given event, wrapping the error if necessary.

`disposeInternal()`

Unattach listeners from this object. Classes that extend EventTarget may need to override this method in order to remove references to DOM Elements and additional listeners, it should be something like this:

    MyClass.prototype.disposeInternal = function() {
    MyClass.superClass_.disposeInternal.call(this);
    // Dispose logic for MyClass
    };

| `getMode() ⇒ ?goog.db.Transaction.TransactionMode`
| `objectStore(string name) ⇒ !goog.db.ObjectStore` Opens an object store to do operations on in this transaction. The requested object store must be one that is in this transaction's scope.